
local screenW,screenH = guiGetScreenSize()
local resW, resH = 1280,720
local x, y = (screenW/resW), (screenH/resH)
local components = { "area_name", "radio", "vehicle_name" }


function amorimmHud ( ... )
    if (not isPlayerMapVisible()) then
    local vida = math.floor(getElementHealth(getLocalPlayer ( ) ) )

        dxDrawImage(screenW * 0.7461, screenH * 0.8971, screenW * 0.2508, screenH * 0.0221, "files/Hud.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawImage(screenW * 0.7461, screenH * 0.8971, screenW * 0.2508/100*vida, screenH * 0.0221, "files/Hud2.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawText("discord.gg/seulinkdediscord", screenW * 0.7486, screenH * 0.8766, screenW * 0.10000, screenH * 0.8792, tocolor(255, 255, 255, 255), 1.00, "default-bold", "left", "top", false, false, false, false, false)
        dxDrawImage(screenW * 0.9023, screenH * 0.0260, screenW * 0.0859, screenH * 0.1250, "files/logo.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
	end
end


function setHud()
    addEventHandler("onClientRender", getRootElement(), amorimmHud)
    setPlayerHudComponentVisible("armour", false)
    setPlayerHudComponentVisible("wanted", false)
    setPlayerHudComponentVisible("weapon", false)
    setPlayerHudComponentVisible("money", false)
    setPlayerHudComponentVisible("health", false)
    setPlayerHudComponentVisible("clock", false)
    setPlayerHudComponentVisible("breath", false)
    setPlayerHudComponentVisible("ammo", false)

    for _, component in ipairs( components ) do
        setPlayerHudComponentVisible( component, false )
    end
end
addEventHandler("onClientResourceStart", getResourceRootElement(getThisResource()), setHud)

function removeHud()
    setPlayerHudComponentVisible("armour", true)
    setPlayerHudComponentVisible("wanted", true)
    setPlayerHudComponentVisible("weapon", true)
    setPlayerHudComponentVisible("money", true)
    setPlayerHudComponentVisible("health", true)
    setPlayerHudComponentVisible("clock", true)
    setPlayerHudComponentVisible("breath", true)
    setPlayerHudComponentVisible("ammo", true)
end
addEventHandler("onClientResourceStop", getResourceRootElement(getThisResource()), removeHud)